#include<bits/stdc++.h>
using namespace std;
int main ()
{
    ios_base::sync_with_stdio();
    cin.tie(0);
    cout.tie(0);
    long long n, ans=0;
    cin>>n;
    for(long long i=1;i*i<=n;i++)
    {
        if(n%i!=0)continue;
        for(long long j=i;j*j<=n;j++)
        {
            if(i!=1 && (n/(i*j))<j)break;
            if((n/(i*j))==j+1){
                ans++;
                break;
            }
            else if((n/i)%j==0)
            {
                ans++;
               // cout<<i<<" "<<j<<endl;
            }

        }
    }
    cout<<ans<<endl;
    return 0;
}
